/**
 * @class Sb.form.SizeField
 * @extends Ext.form.NumberField
 * Class for size field
 * @constructor
 * @param {Object} config The config object
 * @xtype sizefield
 */
Ext.define('Sb.form.SizeField', {
	extend: 'Ext.form.NumberField',
	xtype: 'sizefield',

	allowDecimals: false,
	allowBlank: false,
	minValue: 10,
	maxLength: 4,
	width: 43,
	cls: 'sb-sizefield'
});