/**
 * Class for Blog widget model
 *
 * @class Sb.model.BlogWidget
 * @extends Sb.model.Widget
 */
Ext.define('Sb.model.BlogWidget', {
	extend: 'Sb.model.Widget',

	constructor: function (config) {
		config = Ext.apply({
			type: 'blog'
		}, config);

		Sb.model.BlogWidget.superclass.constructor.call(this, config);
	},

	isAllowComments: function () {
		return this.get('isAllowComments') && (Sb.Config.widgets.indexOf('commenting') != -1);
	}
});
