/**
 * @class Sb.widgetType.Imagegallery
 * @extends Sb.widgetType.Base
 */
Ext.define('Sb.widgetType.Imagegallery', {
	extend: 'Sb.widgetType.Base',

	hasWidgetTitle: true,
	allowedColors: 'text,h2',

	isAvailable: function () {
		this.disableReason = '';

		if ((Sb.Config.isDemo || Sb.Config.isTrialMode) && !Sb.Config.picasaEnabled) {
			this.disableReason = 'demo';
			return false;
		}
		return true;
	}
});